## org.eclipse.emf.compare.epatch.diff
Class DiffEpatchService

    java.lang.Object
      org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
          org.eclipse.emf.compare.epatch.diff.DiffEpatchService

    public class DiffEpatchService

extends AbstractEpatchBuilder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`AbstractEpatchBuilder.NamingTool<T>`

Field Summary
`protected DiffModel` `diff`
`protected MatchModel` `match`
`protected java.util.Map<org.eclipse.emf.ecore.EObject,Match2Elements>` `matchMap`
`protected NamedResource` `res`
`protected java.util.Set<org.eclipse.emf.ecore.EObject>` `unmatches`

Fields inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`epatch, fc, importMap, NULL, objMap`

Constructor Summary
`protected` `DiffEpatchService(MatchModel match, DiffModel diff, java.lang.String name)`

Method Summary
`protected Epatch` `convert()`
`static Epatch` `createEpatch(MatchModel match, DiffModel diff, java.lang.String name)`
`protected ObjectRef` `createObjectRef(org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right)`
`protected NamedResource` `createResource()`
`protected void` `doAdd(org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, org.eclipse.emf.ecore.EStructuralFeature feat, java.lang.Object val)`
`protected void` `doRemove(org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, org.eclipse.emf.ecore.EStructuralFeature feat, java.lang.Object value)`
`protected void` `doSet(org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, org.eclipse.emf.ecore.EStructuralFeature feat)`
`protected void` `fillMatchMap(org.eclipse.emf.common.util.EList<MatchElement> elements)`
`protected void` `fillUnmatchSet(org.eclipse.emf.common.util.EList<UnmatchElement> elements)`
`protected AssignmentValue` `getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref, org.eclipse.emf.ecore.EObject eobj)`
`protected NamedObject` `getNamedObject(org.eclipse.emf.ecore.EObject object)`
`protected NamedObject` `getNamedObject(org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right)`
`protected void` `handleAttrChangeLeft(AttributeChangeLeftTarget ele)`
`protected void` `handleAttrChangeRight(AttributeChangeRightTarget ele)`
`protected void` `handleAttrUpdate(UpdateAttribute ele)`
`protected void` `handleEleChangeLeft(ModelElementChangeLeftTarget ele)`
`protected void` `handleEleChangeRight(ModelElementChangeRightTarget ele)`
`protected void` `handleEleMove(MoveModelElement ele)`
`protected void` `handleRefChangeLeft(ReferenceChangeLeftTarget ele)`
`protected void` `handleRefChangeRight(ReferenceChangeRightTarget ele)`
`protected void` `handleRefOrderChange(ReferenceOrderChange ele)`
`protected void` `handleRefUpdate(UpdateReference ele)`

Methods inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`createEpatch, createObjectNew, generateNames, getAssignmentValue, getAssignmentValueDataType, getAssignmentValueNull, getFragment, getImportName, getImportRef, getListAssignment, getListAssignmentValue, getNameForObj, getSingleAssignment, ignoreFeature, sortAssignmentValue, sortLists, sortNamedObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diff

    protected DiffModel diff

### match

    protected MatchModel match

### matchMap

    protected java.util.Map<org.eclipse.emf.ecore.EObject,Match2Elements> matchMap

### res

    protected NamedResource res

### unmatches

    protected java.util.Set<org.eclipse.emf.ecore.EObject> unmatches

Constructor Detail

### DiffEpatchService

    protected DiffEpatchService(MatchModel match,
                                DiffModel diff,
                                java.lang.String name)

Method Detail

### createEpatch

    public static Epatch createEpatch(MatchModel match,
                                      DiffModel diff,
                                      java.lang.String name)

### convert

    protected Epatch convert()

### createObjectRef

    protected ObjectRef createObjectRef(org.eclipse.emf.ecore.EObject left,
                                        org.eclipse.emf.ecore.EObject right)

### createResource

    protected NamedResource createResource()

### doAdd

    protected void doAdd(org.eclipse.emf.ecore.EObject left,
                         org.eclipse.emf.ecore.EObject right,
                         org.eclipse.emf.ecore.EStructuralFeature feat,
                         java.lang.Object val)

### doRemove

    protected void doRemove(org.eclipse.emf.ecore.EObject left,
                            org.eclipse.emf.ecore.EObject right,
                            org.eclipse.emf.ecore.EStructuralFeature feat,
                            java.lang.Object value)

### doSet

    protected void doSet(org.eclipse.emf.ecore.EObject left,
                         org.eclipse.emf.ecore.EObject right,
                         org.eclipse.emf.ecore.EStructuralFeature feat)

### fillMatchMap

    protected void fillMatchMap(org.eclipse.emf.common.util.EList<MatchElement> elements)

### fillUnmatchSet

    protected void fillUnmatchSet(org.eclipse.emf.common.util.EList<UnmatchElement> elements)

### getAssignmentValueEObject

    protected AssignmentValue getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref,
                                                        org.eclipse.emf.ecore.EObject eobj)

  Specified by:
    `getAssignmentValueEObject` in class `AbstractEpatchBuilder`

### getNamedObject

    protected NamedObject getNamedObject(org.eclipse.emf.ecore.EObject object)

### getNamedObject

    protected NamedObject getNamedObject(org.eclipse.emf.ecore.EObject left,
                                         org.eclipse.emf.ecore.EObject right)

### handleAttrChangeLeft

    protected void handleAttrChangeLeft(AttributeChangeLeftTarget ele)

### handleAttrChangeRight

    protected void handleAttrChangeRight(AttributeChangeRightTarget ele)

### handleAttrUpdate

    protected void handleAttrUpdate(UpdateAttribute ele)

### handleEleChangeLeft

    protected void handleEleChangeLeft(ModelElementChangeLeftTarget ele)

### handleEleChangeRight

    protected void handleEleChangeRight(ModelElementChangeRightTarget ele)

### handleEleMove

    protected void handleEleMove(MoveModelElement ele)

### handleRefChangeLeft

    protected void handleRefChangeLeft(ReferenceChangeLeftTarget ele)

### handleRefChangeRight

    protected void handleRefChangeRight(ReferenceChangeRightTarget ele)

### handleRefUpdate

    protected void handleRefUpdate(UpdateReference ele)

### handleRefOrderChange

    protected void handleRefOrderChange(ReferenceOrderChange ele)

Copyright 2006 IBM Corporation and others. All Rights Reserved.